Gantry::Utils::Crypt(3)

NAME
Gantry::Utils::Crypt - an easy way to crypt and decrypt

SYNOPSIS
    use Gantry::Utils::Crypt;

    my $crypt_obj = Gantry::Utils::Crypt->new (
        { secret => 'my_secret_encryption_string' }
    );

    my $encrypted_string = $crypt->encrypt( 'red', 'blue', 'green' );
    my @decrypted_values = $crypt->decrypt( $encrypted_string );

DESCRIPTION
This module is a utillity to help with encryption and decryption.

METHODS

new Standard constructor, call it first.

    Requires the following parameter

        secret       # this is your super secret encryption key

encrypt( 'value' [, ... ] )
    encrypts and returns the encrypted string

decrypt( 'string' )
    decrypts and returns the values

SEE ALSO
Gantry(3)

LIMITATIONS
This module depends on Gantry(3)

AUTHOR
Tim Keefer <tkeefer@gmail.com>

COPYRIGHT and LICENSE
Copyright (c) 2005-7, Tim Keefer.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.